impute.HMM {aCGH} | R Documentation

## Imputing log2 ratios using HMM

### Description

Imputing log2 ratios using the output of the HMM segmenttation

### Usage

    impute.HMM(aCGH.obj, chrominfo = human.chrom.info.Jul03, maxChrom =
    23, use.BIC = TRUE)

### Arguments

`aCGH.obj` | Object of class aCGH.
`chrominfo` | a chromosomal information associated with the mapping of the data
`maxChrom` | Highest chromosome to impute.
`use.BIC` | logical parameter; if true impute missing values based on the Hidden Markov Model selected using Bayesian Information Criterion impute missing data, otherwise use AIC.

### Details

See details in `aCGH` discussion.

### Value

Computes and returns the imputed log2 ratio matrix of the aCGH object using the output of the Hidden Markov Model segmentation done by invoking `find.hmm.states` function.

### See Also

`aCGH`, `find.hmm.states`, `impute.lowess`.

### Examples

    datadir <- system.file(package = "aCGH")
    datadir <- paste(datadir, "/examples", sep="")

    clones.info <-
          read.table(file = file.path(datadir, "clones.info.ex.txt"),
                     header = TRUE, sep = "\t", quote="", comment.char="")
    log2.ratios <-
          read.table(file = file.path(datadir, "log2.ratios.ex.txt"),
                     header = TRUE, sep = "\t", quote="", comment.char="")
    ex.acgh <- create.aCGH(log2.ratios, clones.info)

    ## Imputing the log2 ratios

    hmm(ex.acgh) <- find.hmm.states(ex.acgh, aic = TRUE, delta = 1.5)
    log2.ratios.imputed(ex.acgh) <- impute.HMM(ex.acgh)

[Package aCGH version 1.8.0 Index]